type Slice<T> = {
    name: string;
    getState: () => T;
    setState: (updater: (state: T) => void) => void;
};
type GlobalState = Record<string, any>;
declare class StoreManager {
    private globalState;
    private globalSubscribers;
    registerSlice<T>(slice: Slice<T>): void;
    getState(): GlobalState;
    subscribe(callback: Function): () => boolean;
    updateGlobalState(): void;
    private notifySubscribers;
}
export declare const storeManager: StoreManager;
export {};
